# Authentication

### **Step 1: Create an API Key**

Navigate to your workspace settings on Secoda. Click on the “API” to get a list of your API Keys.

Click on “Generate New API Key” button and then write down the generated key. Please keep this key somewhere safe and do not share with others. This key will have the same access to your Secoda workspace as the user who created it.

### Step 2: Authenticate Your Requests

To make an authenticated request to your Secoda workspace. Please include an `Authorization` header with your HTTP request with the following format `Bearer <Your API Key>`

### Request Examples

See below for example requests to the Secoda API. You must replace `{{base_URL}}` with the [base URL](https://github.com/secoda/gitbook/blob/master/api/broken-reference/README.md) for your workspace, and the Bearer with the API key generated using the instructions above.

* **Curl Example**

  ```bash
  curl '<https://{{base_URL}}/dictionary/terms>' -H 'Authorization: Bearer d736dd50-5d06-4d4f-bc3d-38a67cd46569'
  ```
* **Javascript Example**

  ```jsx
  axios.get("<https://{{base_URL}}/dictionary/terms>", {
  	headers={
      "Authorization": "Bearer d736dd50-5d06-4d4f-bc3d-38a67cd46569" // replace the key with your own API Key
  	}
  })
  ```
* **Python Example**

  ```python
  import requests

  requests.get("<https://{{base_URL}}/dictionary/terms>", headers={
      "Authorization": "Bearer d736dd50-5d06-4d4f-bc3d-38a67cd46569" # replace the key with your own API Key
  })
  ```

  {% hint style="info" %} Not using Secoda to manage your data documentation yet? Sign up for free [here](https://app.secoda.co) 👈 {% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.secoda.co/api/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
